package org.zerock.domain;

import lombok.Getter;
import lombok.ToString;

@Getter
@ToString
public class PageDTO {
	private int startPage;//시작페이지
	private int endPage;// 끝페이지
	private boolean prev;//이전페이지 존재 유무
	private boolean next;//다음페이지 존재 유무
	
	private int total; //전체글수
	private Criteria cri; //Criteria객체. pageNum, amount
	
	private int realEndPage;//실제마지막페이지
	
	public PageDTO(Criteria cri,int total) {
		this.cri=cri;
		this.total=total;
	
		
		this.endPage=(int)(Math.ceil(cri.getPageNum()/10.0))*10;
		this.startPage=this.endPage-9;
		
		//실제 끝페이지
		int realEnd=(int)(Math.ceil((total*1.0)/cri.getAmount()));
		this.realEndPage=realEnd;
		
		//실제 끝페이지(realEnd)가 끝페이지(endPage)보다 작으면 보정
		if(realEnd<this.endPage) {
			this.endPage=realEnd;
		}
		
		//시작페이지가 1보다 크면 prev는 true
		this.prev= (this.startPage>1);
		//끝페이지가  실제 끝페이지보다 작으면 next는 true
		this.next= (this.endPage< realEnd);
		
		
		
	}
}
