<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>    

<%@include file="../includes/header.jsp" %>

            <div class="row">
                <div class="col-lg-12">
                    <h1 class="page-header">Board</h1>
                </div>
                <!-- /.col-lg-12 -->
            </div>
            <!-- /.row -->
            <div class="row">
                <div class="col-lg-12">
                    <div class="panel panel-default">
                        <div class="panel-heading">
                           		글목록
                           		<a href="/board/register" class="btn btn-primary pull-right btn-xs">Register</a>
                           		<button type="button" id="regBtn" class="btn btn-primary pull-right btn-xs">Register2</button>	
                        </div>
                        <!-- /.panel-heading -->
                        <div class="panel-body">
                            <table width="100%" class="table table-striped table-bordered table-hover">
                                <thead>
                                    <tr>
                                        <th>번호</th>
                                        <th width="300">제목</th>
                                        <th>작성자</th>
                                        <th>작성일</th>
                                        <th>수정일</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <c:forEach items="${list}" var="board">
                                       	<tr>
                                       		<td><c:out value="${board.bno}"/></td>
                                       		<td>
                                       			<%-- <a href='/board/get?bno=<c:out value="${board.bno}"/>'>
                                       				<c:out value="${board.title}"/>
                                       			</a> --%>
                                       			<a class="move" href='<c:out value="${board.bno}"/>'>
                                       				<c:out value="${board.title}"/>
                                       			</a>
                                       		</td>
                                       		<td><c:out value="${board.writer}"/></td>
                                       	<%-- 	<td>${board.bno}</td>
                                       		<td>${board.title}</td>
                                       		<td>${board.writer}</td> --%>
                                       		<td><fmt:formatDate pattern="HH:mm:ss" value="${board.regdate}"/></td>
                                       		<td><fmt:formatDate pattern="yyyy-MM-dd" value="${board.updateDate}"/></td>
                                       		
                                       	</tr>
                                       </c:forEach>                                     
                                </tbody>
                            </table>
                            
                            <div class="row">
                            	<div class="col-lg-12">
                            		<form id="searchForm" action="/board/list" method="get">
                            			<select name="type">
                            				<option value="">--<option>
                            				<option value="T">제목<option>
                            				<option value="C">내용<option>
                            				<option value="W">작성자<option>
                            				<option value="TC">제목 or 내용<option>
                            			</select>
                            			<input type="text" name="keyword"/>
                            			<input type="hidden" name="pageNum" value="${pageMaker.cri.pageNum}">
                            			<input type="hidden" name="amount" value="${pageMaker.cri.amount}">
                            			<button class="btn btn-default">Search</button>
                            		</form>
                            	</div>
                            </div>
                            
                            
                            
                            <!--  paging--------------------------->
                            <div class="pull-right">
                            	<ul class="pagination">
                            		
                            		<li class="paginate_button">
                            				<a href="1">&lt;&lt;</a>
                            		</li>
                            		
                            		<c:if test="${pageMaker.prev}">
                            			<li class="paginate_button previous">
                            				<a href="${pageMaker.startPage-1}">Previous</a>
                            			</li>
                            		</c:if>
                            		<c:forEach var="num" begin="${pageMaker.startPage}"
                            		end="${pageMaker.endPage}">
										<li class='paginate_button ${pageMaker.cri.pageNum==num?"active":""}'>
											<a href="${num}">${num}</a>
										</li> 
									<%-- 	<li class='paginate_button ${pageMaker.cri.pageNum==num?"active":""}'>
											<a href="/board/list?pageNum=${num}&amount=${pageMaker.cri.amount}">${num}</a>
										</li>   --%>                       		
                            		</c:forEach>
                            		<c:if test="${pageMaker.next}">
                            			<li class="paginate_button next">
                            				<a href="${pageMaker.endPage+1}">Next</a>
                            			</li>
                            		</c:if>
                            		
                            		<li class="paginate_button">
                            				<a href="${pageMaker.realEndPage}">&gt;&gt;</a>
                            		</li>
                            	</ul>
                            </div>
                            
                            <!--  panging.end. -->
                            <form id="actionForm" action="/board/list" method="get">
                            	<input type="hidden" name="pageNum" value="${pageMaker.cri.pageNum}">
                            	<input type="hidden" name="amount" value="${pageMaker.cri.amount}">
                            	<input type="hidden" name="type" value="${pageMaker.cri.type}">
                            	<input type="hidden" name="keyword" value="${pageMaker.cri.keyword}">
                            </form>
                            
                            
                            
                            
                            <!-- Modal -->
                            <div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                                <div class="modal-dialog">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                                            <h4 class="modal-title" id="myModalLabel">알림</h4>
                                        </div>
                                        <div class="modal-body">
                                            		처리가 완료되었습니다.
                                        </div>
                                        <div class="modal-footer">
                                            <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                                            <button type="button" class="btn btn-primary">Save changes</button>
                                        </div>
                                    </div>
                                    <!-- /.modal-content -->
                                </div>
                                <!-- /.modal-dialog -->
                            </div>
                            <!-- /.modal -->
                                                        
                        </div>
                        <!-- /.panel-body -->
                    </div>
                    <!-- /.panel -->
                </div>
                <!-- /.col-lg-12 -->
            </div>            
            
            <script>
            	$(document).ready(function(){
            		var result='<c:out value="${result}"/>';
            		
            		checkModal(result);
            		
            		//history객체 초기화
            		history.replaceState({},null,null);
            		
            		function checkModal(result){
            			//result가 없으면 중지
            			if(result === '' || history.state){
            				return;
            			}
            			if(parseInt(result)>0){
            				$(".modal-body").html("게시글 "+parseInt(result)+"번이 등록되었습니다.");
            			}
            			$("#myModal").modal("show");
            		}
            		
            		$("#regBtn").on("click",function(){
            			self.location="/board/register";
            		});
            		
            		
            		var actionForm=$("#actionForm");
            		$(".paginate_button a").on("click",function(e){
            			e.preventDefault();//다음페이지로 이동 방지.
            			
            			console.log("click");
            			
            			actionForm.find("input[name='pageNum']").val($(this).attr("href"));
            			actionForm.submit();
            		}); 
            		
            		$(".move").on("click",function(e){
            			e.preventDefault();//다른페이지로 이동 방지.
            			actionForm.append("<input type='hidden' name='bno' value='"+$(this).attr("href")+"'>");
            			actionForm.attr("action","/board/get");
            			actionForm.submit();
            		});
            		
            		
            		var searchForm=$("#searchForm");
            		$("#searchForm button").on("click",function(e){
            			if(!searchForm.find("option:selected").val()){
            				alert("검색종류를 선택하세요.");
            				return false;
            			}
            			if(!searchForm.find("input[name='keyword']").val()){
            				alert("키워드를 선택하세요.");
            				return false;
            			}
            			
            			searchForm.find("input[name='pageNum']").val("1");
            			e.preventDefault();
            			
            			searchForm.submit();
            		});
            		
            	});
            </script>
        
<%@include file="../includes/footer.jsp" %>
    